Remove a fieldset from the schema
Remove a fieldset from the schema
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
protein_schema_id
ID of the ProteinSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
fieldsetId
The API ID of the fieldset to remove from the schema. The fieldset must exist and be accessible.
schemaPrefixReplacement
If and only if the fieldset being removed sets the schema's prefix, this field must be present to provide a replacement prefix. It is an error to supply this field if the fieldset being removed does not have a prefix.
Response
OK
__typename
archiveReason
archived
availableRegistrationNamingOptions
chainLinkedSchemas
Schema or interface links for each chain label in the protein format.
constraint
Defines uniqueness requirements for entities within a schema. Constraints ensure that
registered entities have unique values across specified fields (see fieldDefinitionNames)
or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues
field is a legacy indicator for sequence uniqueness.
containableType
Allowed values:
containerNameTemplate
A name template for containers.
createdAt
description
domainLinkedSchemas
Schema or interface links for each domain type in the protein format.
fieldDefinitions
fieldsets
format
The protein format that defines the structure (domains, chains, interactions) for entities of this schema.
iconId
Allowed values:
id
includeRegistryIdInChips
itemIdPrefix
modifiedAt
name
nameTemplate
A name template for entities.
organization
systemCategories
systemName
useRegistryIdForItemDisplayLabel
validationRules
Errors
400
Protein Schema Remove Fieldset Request Bad Request Error
403
Protein Schema Remove Fieldset Request Forbidden Error
404
Protein Schema Remove Fieldset Request Not Found Error
409
Protein Schema Remove Fieldset Request Conflict Error
429
Protein Schema Remove Fieldset Request Too Many Requests Error
500
Protein Schema Remove Fieldset Request Internal Server Error